package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.AorestCoverageVO;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.service_yada.IAorestCoverageService;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.crypto.Data;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.util.List;

/**
 *  森林覆盖率
 */
@RestController
@RequestMapping(value = "/business-service/api/Aorest", produces = "application/json;charset=UTF-8")
public class AorestCoverageController {
    @Resource
    private IAorestCoverageService service;

    /**
     * 查询方法
     * @param response 响应头
     * @param request 客户端请求
     * @return 参数类
     */
    @RequestMapping(value = "/selectAorestCoverage",method = {RequestMethod.POST})
    public AjaxResult selectAorestCoverage(HttpServletResponse response, HttpServletRequest request)
    {
        List<AorestCoverageVO> eastVOSList= service.selectAorestCoverage();
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID 单据id
     * @return 状态码
     */
    @RequestMapping(value = "/DelAorestCoverage",method = {RequestMethod.POST})
    public AjaxResult DelAorestCoverage(@Param("ID") String ID)
    {
        int NUM = service.DelAorestCoverage(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS 新增实体类
     * @return 状态码
     */
    @RequestMapping(value = "/IntoAorestCoverage",method = {RequestMethod.POST})
    public AjaxResult IntoAorestCoverage(@RequestBody AorestCoverageVO eastVOS)
    {
        try {
            eastVOS.setCreateTime(LocalDateTime.now());
            int NUM =  service.IntoAorestCoverage(eastVOS);
            if (NUM>0)
            {
                return AjaxResult.success();
            }
            return  AjaxResult.error();
        }
        catch (Exception E){
             E.getMessage();
            return  AjaxResult.error();
        }

    }
}
