package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.time.LocalDateTime;
import java.util.List;

/**
 *  澳大利亚中东部地区
 */
@RestController
@RequestMapping(value = "/business-service/api/Australia", produces = "application/json;charset=UTF-8")
public class AustraliaMiddleEastController
{
    @Resource
    private IAustraliaMiddleEastService australiaMiddleEastService;

    /**
     * 查询方法
     * @param response 请求头
     * @param request 客户端请求
     * @return  实体类
     */
    @RequestMapping(value = "/SelectAustralia",method = {RequestMethod.POST})
    public AjaxResult SelectAustralia(HttpServletResponse response, HttpServletRequest request)
    {
        List<AustraliaMiddleEastVO> eastVOSList= australiaMiddleEastService.selectAustralia();
             return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID 单据id
     * @return 状态码
     */
    @RequestMapping(value = "/DelAustralia",method = {RequestMethod.POST})
    public AjaxResult DelAustralia(@Param("ID") String ID)
    {
        int NUM = australiaMiddleEastService.DelAustralia(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS 新增实体类
     * @return 状态码
     */
    @RequestMapping(value = "/IntoAustralia",method = {RequestMethod.POST})
    public AjaxResult IntoAustralia(@RequestBody AustraliaMiddleEastVO eastVOS)
    {
        eastVOS.setCreateTime(LocalDateTime.now());
        int NUM =  australiaMiddleEastService.IntoAustralia(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
