package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.ThematicMapDomain;
import com.ruoyi.system.service_yada.ThematicMapService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 中国城市监测
 */
@RestController
@RequestMapping(value = "/thematic-map")
public class ThematicMapController {

    @Resource
    private ThematicMapService thematicMapService;

    /**
     * 查询方法
     * @param response 响应头
     * @param request 客户端请求
     * @return 参数类
     */
    @RequestMapping(value = "/get/all",method = {RequestMethod.GET})
    public AjaxResult selectAllThematicMap(HttpServletResponse response, HttpServletRequest request)
    {
        List<ThematicMapDomain> res= thematicMapService.selectAll();
        return AjaxResult.success(res);
    }

    /**
     * 删除方法
     * @param id 单据id
     * @return 状态码
     */
    @RequestMapping(value = "/delete",method = {RequestMethod.DELETE})
    public AjaxResult deleteThematicMap(@Param("id") Long id)
    {
        int num = thematicMapService.deleteById(id);
        if (num>0) {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }

    /**
     * 新增方法
     * @param thematicMapDomain 新增实体类
     * @return 状态码
     */
    @RequestMapping(value = "/add",method = {RequestMethod.POST})
    public AjaxResult saveThematicMap(@RequestBody ThematicMapDomain thematicMapDomain)
    {
        thematicMapDomain.setCreatedTime(LocalDateTime.now());
        int num = thematicMapService.save(thematicMapDomain);
        if (num>0) {
            return AjaxResult.success();
        }
        return AjaxResult.error();
    }
}
