package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.VegetationCoverageVO;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import com.ruoyi.system.service_yada.IVegetationCoverageService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 平均植被覆盖度和净初级生产力
 */
@RestController
@RequestMapping(value = "/business-service/api/Vegetation", produces = "application/json;charset=UTF-8")
public class VegetationCoverageController {
    @Resource
    private IVegetationCoverageService coverageService;

    /**
     * 查询方法
     * @param response 响应头
     * @param request 客户端请求
     * @return 参数类
     */
    @RequestMapping(value = "/selectVegetation",method = {RequestMethod.POST})
    public AjaxResult selectVegetation(HttpServletResponse response, HttpServletRequest request)
    {
        List<VegetationCoverageVO> eastVOSList= coverageService.selectVegetation();
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID 单据id
     * @return 状态码
     */
    @RequestMapping(value = "/DelVegetation",method = {RequestMethod.POST})
    public AjaxResult DelVegetation(@Param("ID") String ID)
    {
        int NUM = coverageService.DelVegetation(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS 新增实体类
     * @return 状态码
     */
    @RequestMapping(value = "/IntoVegetation",method = {RequestMethod.POST})
    public AjaxResult IntoVegetation(@RequestBody VegetationCoverageVO eastVOS)
    {
        eastVOS.setCreateTime(LocalDateTime.now());
        int NUM =  coverageService.IntoVegetation(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
